﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+TDP
DATE:                  2017-07-26 10:45:10
AUTHOR:                Fluke
REVISION:              $Revision: 20446 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       116
CONFIGURATION:         Fluke Ocal (TDP)
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.1.7 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  HEAD         DELTA TIME ACCURACY (Ch [V @Chan])

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  RSLT         =DELTA TIME ACCURACY
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]
  1.010  TARGET
  1.011  IF           FIND(@CalDev, "58", 1)

  1.012  IF           @Chan == 1
  1.013  PIC          dpo7000_delta_time_58xx+tdp_ch1
  1.014  ELSEIF       @Chan == 2
  1.015  PIC          dpo7000_delta_time_58xx+tdp_ch2
  1.016  ELSEIF       @Chan == 3
  1.017  PIC          dpo7000_delta_time_58xx+tdp_ch3
  1.018  ELSE
  1.019  PIC          dpo7000_delta_time_58xx+tdp_ch4
  1.020  ENDIF

  1.021  ELSE

  1.022  IF           @Chan == 1
  1.023  PIC          dpo7000_delta_time_55xx+tdp_ch1
  1.024  ELSEIF       @Chan == 2
  1.025  PIC          dpo7000_delta_time_55xx+tdp_ch2
  1.026  ELSEIF       @Chan == 3
  1.027  PIC          dpo7000_delta_time_55xx+tdp_ch3
  1.028  ELSE
  1.029  PIC          dpo7000_delta_time_55xx+tdp_ch4
  1.030  ENDIF

  1.031  ENDIF

  1.032  IF           ZCMP(@ModelNum, "DPO7054")
  1.033  MATH         L[1] = 20E-9; L[2] = 5E+9;  L[3] = 12
  1.034  ELSE
  1.035  MATH         L[1] = 10E-9; L[2] = 10E+9; L[3] = 6
  1.036  ENDIF

  1.037  IEEE2        CH[V @Chan]:TER 50;SCA 100E-3;POS -3.5
  1.038  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  1.039  O_CAL        Mode = Edge; Channel = [V @CalChan]
  1.039  O_CAL        TunnelDiodePulser
  1.039  O_CAL        +Voltage = 80 Vpp; Frequency = 10 kHz
  1.040  IEEE2        AUTOS EXEC
  1.041  IEEE2        ACQ:SAMP RT
  1.042  IEEE2        HOR:SCA [L1];MODE:SAMPLER [L2]
  1.043  IEEE2        ACQ:STATE STOP
  1.044  IEEE2        CH[V @Chan]:SCA 25E-3;POS -3.5
  1.045  IEEE2        TRIG:A SETL
  1.046  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PWI;STATE ON
  1.047  IEEE2        MEASU:REFL:METH ABS;ABS:MID 0.1
  1.048  IEEE2        MEASU:STATI:COUNT RESET;WEI 1000
  1.049  IEEE2        ACQ:STATE RUN
  1.050  WAIT         -t 60 DUT Running...
  1.051  IEEE2        ACQ:STATE STOP
  1.052  IEEE2        MEASU:MEAS1:STD?[I]
  1.053  MATH         MEM = MEM / 1E-12; Result = FMT(MEM, "%.1f")
  1.054  EVAL   -e MEM <= L[3] : Limit: ≤ [L3] ps, Result: [V Result] ps

  2.001  HEAD
  2.002  O_CAL        Standby
  2.003  END
